Subject: Re: [RFC] ath11k: fix netdev open race

From: Kalle Valo <[email-masked]>
Date: Mon, 23 May 2022 22:06:37 +0300

Johan Hovold <[email-masked]> writes:

> On Tue, May 17, 2022 at 12:34:36PM +0200, Johan Hovold wrote:
>> Make sure to allocate resources needed before registering the device.
>> 
>> This specifically avoids having a racing open() trigger a BUG_ON() in
>> mod_timer() when ath11k_mac_op_start() is called before the
>> mon_reap_timer as been set up.
>> 
>> Fixes: d5c65159f289 ("ath11k: driver for Qualcomm IEEE 802.11ax devices")
>> Fixes: 840c36fa727a ("ath11k: dp: stop rx pktlog before suspend")
>> Signed-off-by: Johan Hovold <[email-masked]>
>> ---
>
> For completeness:
>
> Tested-on: WCN6855 hw2.0 PCI WLAN.HSP.1.1-03125-QCAHSPSWPL_V1_V2_SILICONZ_LITE-3

Thanks, added in the pending branch.

You submitted this as RFC but do you mind if I apply this anyway? The
patch looks good and passes my tests. But I do wonder why I haven't seen
the crash...

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches